      INTEGER FUNCTION  TYPVAR (LETTER)
C
C     RETURN THE TYPE FLAG CODE (0 = DOUBLE PRECISION, 1 = REAL,
C     2 = INTEGER, 3 = COMPLEX, 4 = LOGICAL) FOR THE VARIABLE
C     WHOSE NAME BEGINS WITH 'LETTER' (INTERNAL CODED FORM).
C     THIS VALUE IS EQUAL TO ITYP-1, AND IS SUITABLE FOR STORING
C     IN THE SYMBOL TABLE WITH ROUTINE SATT1.
C
      COMMON /LETDEF/  LET0,        LET1,        LET2,        LET3
      COMMON /LETDEF/  LET4,        LET5,        LET6,        LET7
      COMMON /LETDEF/  LET8,        LET9,        LETA,        LETB
      COMMON /LETDEF/  LETC,        LETD,        LETE,        LETF
      COMMON /LETDEF/  LETG,        LETH,        LETI,        LETJ
      COMMON /LETDEF/  LETK,        LETL,        LETM,        LETN
      COMMON /LETDEF/  LETO,        LETP,        LETQ,        LETR
      COMMON /LETDEF/  LETS,        LETT,        LETU,        LETV
      COMMON /LETDEF/  LETW,        LETX,        LETY,        LETZ
      COMMON /LETDEF/  LETDOL,      LETUSC,      LETPLS,      LETMNS
      COMMON /LETDEF/  LETRP,       LETEQ,       LETDOT,      LETLP
      COMMON /LETDEF/  LETAST,      LETSLS,      LETCMA,      LETBLK
      COMMON /LETDEF/  LETSQT
      COMMON /TYPCOD/  LETTYP(28)
C
      I = LETTER - LETA + 1
      TYPVAR = LETTYP(I) - 1
C
      RETURN
      END
